using CarCenterContracts.BindingModels;
using CarCenterContracts.ViewModels;
using CarCenterContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IAdministratorLogic
    {
        List<AdministratorViewModel>? ReadList(AdministratorSearchModel? model);
        AdministratorViewModel? ReadElement(AdministratorSearchModel model);
        bool Create(AdministratorBindingModel model);
        bool Update(AdministratorBindingModel model);
        bool Delete(AdministratorBindingModel model);
    }
}
